#!/usr/bin/env python

import numpy as np

from aman.sys.aco.Ant import Ant
from aman.sys.aco.Configuration import Configuration
from aman.sys.aco.CostFunction import CostFunction

class Colony:
    def __init__(self, configuration : Configuration):
        self.Configuration = configuration
        self.PheromoneMatrix = np.zeros(( len(configuration.Inbounds), len(configuration.Inbounds) ), dtype=float)